# Defined in CVS makefile.
%define	name	mailcap
%define	version	2.0.4
%define	release	%mkrel 29

Summary:	Associates helper applications with particular file types
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		System/Networking 
Source0:	%{name}-%{version}.tar.bz2
Source1:	mime.types
Patch0:		mailcap-2.0.4.patch
Patch1:		mailcap-2.0.4-java-web-start.patch
Patch2:		mailcap-2.0.4-ooffice.patch
Patch3:		mailcap-2.0.4-mailcap.vga.patch
BuildArch:	noarch

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

%prep
%setup -q
%patch0 -p1 -b .mdk
%patch1 -p1 -b .javastart
%patch2 -p1 -b .ooffice
%patch3 -p1 -b .mailcap.vga

%install
perl -pi -e "s!/usr/man!%{_mandir}!g" Makefile
%makeinstall

# overwrite the original one, which is outdated
install -m 0644 %{SOURCE1}  %{buildroot}/%{_sysconfdir}/mime.types

%files
%doc ChangeLog
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mailcap.vga
%config(noreplace) %{_sysconfdir}/mime.types
%{_mandir}/man4/*


%changelog

* Tue Jan 22 2013 fwang <fwang> 2.0.4-29.mga3
+ Revision: 390911
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.0.4-28.mga3
+ Revision: 359307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 25 2011 doktor5000 <doktor5000> 2.0.4-27.mga2
+ Revision: 147580
- added mailcap.vga.patch, really remove all Mandrake references

* Fri Sep 23 2011 doktor5000 <doktor5000> 2.0.4-26.mga2
+ Revision: 147075
- rediffed mailcap-2.0.4.patch, replacing Mandriva with Mageia
- rediffed mailcap-2.0.4-ooffice.patch

* Tue Feb 01 2011 pterjan <pterjan> 2.0.4-25.mga1
+ Revision: 45499
- imported package mailcap

